{
  "name": "redux-symbiote",
  "version": "3.2.0",
  "description": "Write your actions and reducers without pain",
  "main": "lib/index.js",
  "scripts": {
    "test": "npm run test:lint && npm run test:code",
    "test:lint": "eslint .",
    "test:code": "nyc ava",
    "--types": "rm -rf node_modules && npm i -g dtslint && dtslint types",
    "types": "dtslint types",
    "build": "babel ./src -d ./lib",
    "coverage": "NODE_ENV=test nyc report --reporter=text-lcov",
    "report": "nyc report --reporter=text-lcov | coveralls",
    "prepublish": "npm run build"
  },
  "types": "types",
  "files": [
    "lib",
    "src",
    "types"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://github.com/sergeysova/redux-symbiote.git"
  },
  "contributors": [
    "Sergey Sova <mail@sergeysova.com> (https://sergeysova.com)",
    "Viacheslav Bereza <mail@betula.co> (http://betula.co)"
  ],
  "license": "MIT",
  "bugs": {
    "url": "https://github.com/sergeysova/redux-symbiote/issues"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged",
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-push": "npm run test:lint"
    }
  },
  "lint-staged": {
    "*.js": [
      "eslint --fix",
      "prettier --write",
      "git add"
    ],
    "*.{json,eslintrc}": [
      "prettier --write",
      "git add"
    ]
  },
  "keywords": [
    "redux",
    "flux",
    "fsa",
    "actions",
    "react",
    "act",
    "reducer"
  ],
  "homepage": "https://github.com/sergeysova/redux-symbiote#readme",
  "dependencies": {
    "nanoid": "^2.0.1",
    "symbiote-symbol": "^3.0.0"
  },
  "devDependencies": {
    "@atomix/eslint-config": "^7.0.0-next.1",
    "@babel/cli": "^7.2.3",
    "@babel/core": "^7.3.4",
    "@babel/preset-env": "^7.3.4",
    "@commitlint/cli": "^7.5.2",
    "@commitlint/config-conventional": "^7.5.0",
    "ava": "^1.2.1",
    "commitizen": "^3.0.7",
    "coveralls": "^3.0.3",
    "cz-conventional-changelog": "^2.1.0",
    "dtslint": "^0.5.3",
    "eslint": "^5.15.1",
    "eslint-plugin-import": "^2.16.0",
    "eslint-plugin-prettier": "^3.0.1",
    "eslint-plugin-unicorn": "^7.1.0",
    "husky": "^1.3.1",
    "lint-staged": "^8.1.5",
    "nyc": "^13.3.0",
    "prettier": "^1.16.4",
    "typescript": "^3.3.3333"
  }
}
